xquery version "3.1";

import module namespace config="http://grammateus.ch/config" at "modules/config.xqm";
import module namespace URI="http://grammateus.ch/URI" at "modules/uri.xql";

(: update database with data from gitlab directory :)

(: WORKING:
 :  - C:\Users\nury\CloudStation\existDB\acdh-tutorial-test
 : 
 : NOT WORKING:
 :  - H:\grammateus\data\papyri = returned 0 items
 :  - \\fspapat01.isis.unige.ch\L_HOME_PAT\grammateus\data\papyri = returned 0 items
 :  - \\fspapat01.isis.unige.ch\L_HOME_PAT\nury\grammateus\data\papyri = returned 0 items
 :  - https://gitlab.unige.ch/papyri-dev/grammateus/tree/master/data = illegal char <:> :)
 
(: remove all papyri and create empty 'papyri' folder :)
(:let $del := xmldb:remove("/db/apps/grammateus/data/papyri"):)
(:let $add := xmldb:create-collection("/db/apps/grammateus/data", "papyri"):)

(: Update authority lists + external links + taxonomy :)
(:let $updated_files_1 := xmldb:store-files-from-pattern($config:data-root, "C:\Users\nury\Documents\grammateus\data", "*.xml"):)

(: Update papyri files :)
(:let $updated_files_2 := xmldb:store-files-from-pattern($URI:papyri, "C:\Users\nury\Documents\grammateus\data\papyri", "*.xml"):)

(: Update descriptions :)
let $updated_files_3 := xmldb:store-files-from-pattern($config:data-root || "/descriptions", "C:\Users\nury\Documents\grammateus\data\descriptions", "*.xml")

(: Update classification :)
(:let $updated_files_4 := xmldb:store-files-from-pattern($config:data-root || "/classification", "C:\Users\nury\Documents\grammateus\data\classification", "*.xml"):)

(: Update introduction :)
(:let $updated_files_5 := xmldb:store-files-from-pattern($config:data-root || "/introduction", "C:\Users\nury\Documents\grammateus\data\introduction", "*.xml"):)


return $updated_files_3