xquery version "3.1";

module namespace URI="http://grammateus.ch/URI";

import module namespace config="http://grammateus.ch/config" at "config.xqm";

(: globally available database URIs and site URLs :)

(: external sites :)
declare variable $URI:papinfo := 'https://papyri.info/ddbdp/';
declare variable $URI:hgv := 'http://aquila.zaw.uni-heidelberg.de/hgv/';
declare variable $URI:tm := 'http://www.trismegistos.org/text/';

(: eXist db path for data folders :)
declare variable $URI:papyri := concat($config:data-root,'/papyri');
declare variable $URI:descr := concat($config:data-root,'/descriptions');
declare variable $URI:class := concat($config:data-root,'/classification');
declare variable $URI:bibl := concat($config:data-root,'/bibl');
declare variable $URI:intro := concat($config:data-root,'/introduction');


(:declare variable $URI:typology := concat($config:data-root,'/grammateus_typology.xml');:)
declare variable $URI:taxonomy := concat($config:data-root,'/grammateus_taxonomy.xml');
